/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/gui/menu_frame.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/graphics/graphics.hpp"
#include "sgx/gui/gui.hpp"

#if 0
sgxGUIMenuFrame::

add nextSibling() to widget base
onKeyDown(up/down) next/prevSibling.

addSubmenu. onselect (which we trap) replaces our children list
add removeWidget(pWidget) from opts

need functionality to change menu on down only. i.e. clear active/focus etc



EXAMPLE:

	//
	sgxWidget *pFrame = new sgxGUIFrame(sgxGUIFrameParams());
	CSGXGUI::get()->setRootWidget(pFrame);
	sgxWidget *pButton = CSGXGUI::get()->createButton(sgxGUIButtonParams());
	pFrame->addChildWidget(pButton);

#endif
